FSNIPER(1)

NAME
fsniper - watch directories and apply rules to newly created files

SYNOPSIS
fsniper [OPTION]...

DESCRIPTION

Watch directories for newly created or modified files and apply rule to them when either their MIME-Type or their name (with standard wildcards or regex) match a certain filter.

Those rules are described in file ~/.config/fsniper/config (for more information about it, see section 5).

OPTIONS

--daemon
    Launch fsniper as a daemon.

--verbose
    Print debug information.

--sync
    Sync mode (for debugging).

--log-to-stdout
    Log to stdout alongside the usual log file.

--help
    Print the help and exit.

--version
    Output version information and exit.

FILES

$HOME/.config/fsniper/config
    User configuration file which determines which directories should be watched and contains the rules to apply.

AUTHOR
Written by Andrew Yates and David A. Foster. This manual page was written by Tanguy Herrmann <dolanor@evereska.org>, for the Ubuntu GNU/Linux oeprating system (but may be used by others).

REPORTING BUGS
Report bugs at <http://bugs.l3ib.org/index.php?project=3&switch=1&do=index> or on IRC: #l3ib on irc.freenode.net.

COPYRIGHT
Copyright © 2008 Andrew Yates and David A. Foster Licensed under the GNU version 3 or later, see </usr/share/common-licenses/GPL>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
fsniper(5)